Bug 974116 - REST allow adding a VM nics with the same mac
REST allow adding a VM nics with the same mac
Status: CLOSED DUPLICATE of bug 973911
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Pasternak
Elena
network
:
Depends On: 973911
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 08:56 EDT by Ilanit Stein
Modified: 2016-02-10 14:59 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 973911
Environment:
Last Closed: 2013-06-16 09:01:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2013-06-13 08:56:04 EDT
+++ This bug was initially created as a clone of Bug #973911 +++

Description of problem:
Adding nics to a VM with the same mac should be blocked.
On GUI it is blocked. 

Version-Release number of selected component (if applicable):
si29

Additional info:
1. On 3.2 REST blocks it.
2. This was discovered when the VM was rerun, and failed on: "XML error: Attempted double use of PCI Address '0:0:3.0'"  in vdsm log.

--- Additional comment from Ilanit Stein on 2013-06-13 04:01:44 EDT ---

Important addition:

The mac of the 2nd nic added, is the same mac, but yet differ in case sensitivity! 
If the exact mac is given to the 2nd nic, including case sensitivity - the nic add fails (that this mac already exists...) 

For example if the mac is:
00:1a:4a:23:a0:db, adding a second nic with mac 00:1a:4a:23:a0:db will fail, but adding a 2nd nic with mac 00:1A:4A:23:A0:DB will succeed.

Note You need to log in before you can comment on or make changes to this bug.